package airportProject;

import java.util.*;

import de.fhpotsdam.unfolding.geo.Location;
import de.fhpotsdam.unfolding.marker.SimpleLinesMarker;
import de.fhpotsdam.unfolding.utils.MapPosition;
import processing.core.PGraphics;

public class CommonLineMarker extends SimpleLinesMarker {
	
	// Custom colors, based on Google Material Design
	protected int green;
	
	// to record when the marker has been selected
	protected boolean clicked = false;
	
	public CommonLineMarker(List<Location> locations) {
		super(locations);
	}
	
	public CommonLineMarker(List<Location> locations, HashMap<String,Object> properties) {
		super(locations, properties);
	}

	// Getter method for clicked field
	public boolean getClicked() {
		return clicked;
	}
	
	// Setter method for clicked field
	public void setClicked(boolean state) {
		clicked = state;
	}
	
	// Drawing method for markers
	public void draw(PGraphics pg, List<MapPosition> mapPositions) {
		
		green = pg.color(0, 105, 92);
		
		if (!hidden) {
			drawMarker(pg);
			//if (selected) {
			//	showTitle(pg, x, y);
			//}
		}
	}
	
	public void drawMarker(PGraphics pg) {
		pg.fill(green);
	}
	

}
