package airportProject;

import java.util.*;
import java.lang.*;

import de.fhpotsdam.unfolding.geo.Location;
import de.fhpotsdam.unfolding.marker.SimplePointMarker;
import processing.core.PGraphics;

public abstract class CommonMarker extends SimplePointMarker {
	
	// Custom colors, based on Google Material Design
	protected int purple;
	protected int yellow;
	protected int red;
	protected int blue;
	protected int blueLight;
	protected int blueDark;
	
	// To map blue shades
	protected int rMin = 144;
	protected int rMax = 13;
	protected int gMin = 202;
	protected int gMax = 71;
	protected int bMin = 249;
	protected int bMax = 161;
	
	
	// to record when the marker has been selected
	protected boolean clicked = false;
	
	public CommonMarker(Location location) {
		super(location);
	}
	
	public CommonMarker(Location location, HashMap<String,Object> properties) {
		super(location, properties);
	}

	// Getter method for clicked field
	public boolean getClicked() {
		return clicked;
	}
	
	// Setter method for clicked field
	public void setClicked(boolean state) {
		clicked = state;
	}
	
	// Drawing method for markers
	public void draw(PGraphics pg, float x, float y) {
		
		purple = pg.color(94, 53, 177);
		yellow = pg.color(255, 224, 130);
		//blueLight = pg.color(41, 182, 246);
		blueLight = pg.color(66, 165, 245);
		blueDark = pg.color(13, 71, 161);
		
		if (!hidden) {
			drawMarker(pg, x, y);
			if (selected) {
				showTitle(pg, x, y);
			}
		}
	}
	
	public abstract void drawMarker(PGraphics pg, float x, float y);
	public abstract void showTitle(PGraphics pg, float x, float y);
	
}
